Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# ACE_MEM_Stream Class Reference

Defines the methods in the abstraction. More...

`#include <MEM_Stream.h>`

Inheritance diagram for ACE_MEM_Stream

[legend]
Collaboration diagram for ACE_MEM_Stream:

[legend]
List of all members.

## Public Types
typedef ACE_Addr | PEER_ADDR
## Public Methods
| ACE_MEM_Stream (void)
| Constructor.
| ACE_MEM_Stream (ACE_HANDLE h)
| Constructor (sets the underlying with <h>).
| ~ACE_MEM_Stream (void)
| Destructor.
ssize_t | send_n (const void *buf, int n)
| Send n bytes, keep trying until n are sent. Recv n bytes, keep trying until n are received.
ssize_t | recv_n (void *buf, int n)
ssize_t | send_n (const void *buf, int n, int flags)
| Send n bytes, keep trying until n are sent. Recv n bytes, keep trying until n are received.
ssize_t | recv_n (void *buf, int n, int flags)
int | close_reader (void)
| Close down the reader.
int | close_writer (void)
| Close down the writer.
int | close (void)
void | dump (void) const
| Dump the state of an object.
## Public Attributes
| ACE_ALLOC_HOOK_DECLARE
| Declare the dynamic allocation hooks.
## Friends
class | ACE_MEM_Acceptor
class | ACE_MEM_Connector

## Detailed Description

Defines the methods in the abstraction.

This adds additional wrapper methods atop the class.

## Member Typedef Documentation

typedef ACE_Addr ACE_MEM_Stream::PEER_ADDR

## Constructor & Destructor Documentation

ASYS_INLINE ACE_MEM_Stream::ACE_MEM_Stream ( | void )

| Constructor.

ASYS_INLINE ACE_MEM_Stream::ACE_MEM_Stream ( | ACE_HANDLE h )

| Constructor (sets the underlying with <h>).

ASYS_INLINE ACE_MEM_Stream::~ACE_MEM_Stream ( | void )

| Destructor.

## Member Function Documentation

int ACE_MEM_Stream::close ( | void )

| Close down the socket (we need this to make things work correctly on Win32, which requires use to do a <close_writer> before doing the close to avoid losing data). Reimplemented from ACE_SOCK.

ASYS_INLINE int ACE_MEM_Stream::close_reader ( | void )

| Close down the reader.

ASYS_INLINE int ACE_MEM_Stream::close_writer ( | void )

| Close down the writer.

void ACE_MEM_Stream::dump ( | void ) const

| Dump the state of an object. Reimplemented from ACE_MEM_IO.

ASYS_INLINE ssize_t ACE_MEM_Stream::recv_n ( | void * buf,
| int n,
| int flags )

ASYS_INLINE ssize_t ACE_MEM_Stream::recv_n ( | void * buf,
| int n )

ASYS_INLINE ssize_t ACE_MEM_Stream::send_n ( | const void * buf,
| int n,
| int flags )

| Send n bytes, keep trying until n are sent. Recv n bytes, keep trying until n are received.

ASYS_INLINE ssize_t ACE_MEM_Stream::send_n ( | const void * buf,
| int n )

| Send n bytes, keep trying until n are sent. Recv n bytes, keep trying until n are received.

## Friends And Related Function Documentation

class ACE_MEM_Acceptor`[friend]`

class ACE_MEM_Connector`[friend]`

## Member Data Documentation

ACE_MEM_Stream::ACE_ALLOC_HOOK_DECLARE

| Declare the dynamic allocation hooks. Reimplemented from ACE_MEM_IO.

The documentation for this class was generated from the following files:

- MEM_Stream.h
- MEM_Stream.cpp
- MEM_Stream.i